com.impinj.stp

## Interface StpApi.CartonContentsErrorOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.CartonContentsError, StpApi.CartonContentsError.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.CartonContentsErrorOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.CartonContentsErrorType` | `getErrorType()`
    `StpApi.Timestamp` | `getExtraTimestamp()`
    `StpApi.TimestampOrBuilder` | `getExtraTimestampOrBuilder()`
    `StpApi.Timestamp` | `getMaxTimestamp()`
    `StpApi.TimestampOrBuilder` | `getMaxTimestampOrBuilder()`
    `StpApi.Timestamp` | `getMinTimestamp()`
    `StpApi.TimestampOrBuilder` | `getMinTimestampOrBuilder()`
    `boolean` | `hasErrorType()`
    `boolean` | `hasExtraTimestamp()`
    `boolean` | `hasMaxTimestamp()`
    `boolean` | `hasMinTimestamp()`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasErrorType

          boolean hasErrorType()

    - #### getErrorType

          StpApi.CartonContentsErrorType getErrorType()

    - #### hasExtraTimestamp

          boolean hasExtraTimestamp()

    - #### getExtraTimestamp

          StpApi.Timestamp getExtraTimestamp()

    - #### getExtraTimestampOrBuilder

          StpApi.TimestampOrBuilder getExtraTimestampOrBuilder()

    - #### hasMinTimestamp

          boolean hasMinTimestamp()

    - #### getMinTimestamp

          StpApi.Timestamp getMinTimestamp()

    - #### getMinTimestampOrBuilder

          StpApi.TimestampOrBuilder getMinTimestampOrBuilder()

    - #### hasMaxTimestamp

          boolean hasMaxTimestamp()

    - #### getMaxTimestamp

          StpApi.Timestamp getMaxTimestamp()

    - #### getMaxTimestampOrBuilder

          StpApi.TimestampOrBuilder getMaxTimestampOrBuilder()